Bug 6743 - [UPDATE REQUEST] firefox-esr 24.8.0 -> 24.8.1
: [UPDATE REQUEST] firefox-esr 24.8.0 -> 24.8.1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 12:36 MSK by Andrey Bondrov
Modified: 2016-02-29 20:14 MSK (History)
1 user (show)

See Also:
RPM Package: firefox-esr
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2016-02-18 12:36:16 MSK
New version of Firefox ESR 24.x was released some time ago and it makes sense to update it for Fresh and Marathon. This request is for Fresh version.
Comment 1 Andrey Bondrov 2016-02-18 12:38:24 MSK
Advisory: "Update Firefox ESR to new version 24.8.1"

firefox-esr:
https://abf.rosalinux.ru/build_lists/2624645
https://abf.rosalinux.ru/build_lists/2624646

firefox-esr-l10n:
https://abf.rosalinux.ru/build_lists/2624722
https://abf.rosalinux.ru/build_lists/2624723
Comment 2 Andrey Bondrov 2016-02-21 06:42:16 MSK
I'll rename package firefox-esr to firefox-esr24. So don't verify current build.

We should avoid updating major ESR versions. Instead we should have firefox-esr24, firefox-esr45 and so on.
Comment 3 Andrey Bondrov 2016-02-21 15:15:24 MSK
Advisory: "Update Firefox ESR to new version 24.8.1. Enable TLS 1.2 support. Enable TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256 and TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 support. Rename firefox-esr to firefox-esr24."

firefox-esr24:
https://abf.rosalinux.ru/build_lists/2625104
https://abf.rosalinux.ru/build_lists/2625105

firefox-esr24-l10n:
https://abf.rosalinux.ru/build_lists/2625110
https://abf.rosalinux.ru/build_lists/2625111
Comment 4 Andrey Bondrov 2016-02-21 15:18:24 MSK
P.S. Ignore failed tests, it's a bug of urpmi (happens when there's no package in official repositories yet).
Comment 5 Andrey Bondrov 2016-02-21 16:57:47 MSK
(In reply to comment #4)
> P.S. Ignore failed tests, it's a bug of urpmi (happens when there's no
> package in official repositories yet).

Hmm, no, this time tests are fine, it's a packaging issue. I'll post new build lists soon.
Comment 6 Andrey Bondrov 2016-02-21 20:45:41 MSK
Advisory: "Update Firefox ESR to new version 24.8.1. Enable TLS 1.2 support. Enable TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256 and TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 support. Rename firefox-esr to firefox-esr24."

firefox-esr24:
https://abf.rosalinux.ru/build_lists/2625122
https://abf.rosalinux.ru/build_lists/2625123

firefox-esr24-l10n:
https://abf.rosalinux.ru/build_lists/2625124
https://abf.rosalinux.ru/build_lists/2625125
Comment 7 Vladimir Potapov 2016-02-26 06:58:58 MSK
The update is sent to expanded testing
****************************************
Comment 8 Vladimir Potapov 2016-02-29 18:46:48 MSK
firefox-esr24-24.8.1-6
https://abf.rosalinux.ru/build_lists/2625122
https://abf.rosalinux.ru/build_lists/2625123

firefox-esr24-l10n-24.8.1-3
https://abf.rosalinux.ru/build_lists/2625124
https://abf.rosalinux.ru/build_lists/2625125
*********************** Advisory *************************
Update Firefox ESR to new version 24.8.1. Enable TLS 1.2 support. Enable TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256 and TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256 support. Rename firefox-esr to firefox-esr24.
**********************************************************
QA Verified